<?php
/**
 * montonio/module-shipping
 *
 * @category   montonio
 * @package    module-shipping
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */

namespace Montonio\Shipping\Api\Data;
interface ShippingPointsInterface
{
    /**#@+
     * Constants for keys of data array. Identical to the name of the getter in snake case
     */
    const UUID                    = 'uuid';
    const SHIPPING_CODE         = 'shipping_code';
    const NAME                  = 'name';
    const REGION                = 'region';
    const LOCALITY              = 'locality';
    /**#@-*/


    /**
     * Get Shipping Code
     *
     * @return string|null
     */
    public function getShippingCode();

    /**
     * Get Name
     *
     * @return string|null
     */
    public function getName();

    /**
     * Get Region
     *
     * @return string|null
     */
    public function getRegion();

    /**
     * Get Locality
     *
     * @return string|null
     */
    public function getLocality();

    /**
     * Get UUID
     *
     * @return string|null
     */
    public function getUuid();

    /**
     * Set Shipping code
     *
     * @param string $shippingCode
     * @return $this
     */
    public function setShippingCode($shippingCode);

    /**
     * Set Title
     *
     * @param string $name
     * @return $this
     */
    public function setName($name);

    /**
     * Set Region
     *
     * @param string $region
     * @return $this
     */
    public function setRegion($region);

    /**
     * Set Locality
     *
     * @param string $locality
     * @return $this
     */
    public function setLocality($locality);

    /**
     * Set UUID
     *
     * @param string $uuid
     * @return $this
     */
    public function setUuid($uuid);
}