<?php

namespace Montonio\Shipping\Block\Frontend;

use Montonio\Shipping\Model\ResourceModel\ShippingPoints\Collection as ShippingPoinsCollection;
use Montonio\Shipping\Model\ResourceModel\ShippingPoints\CollectionFactory as ShippingPointsCollectionFactory;

class Config extends \Magento\Framework\View\Element\Template
{
    /**
     * @var ShippingPointsCollectionFactory
     */
    protected $shippingPointsCollection;

    /**
     * Config constructor.
     *
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param ShippingPointsCollectionFactory $shippingPointsCollection
     * @param array $data

     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        ShippingPointsCollectionFactory $shippingPointsCollection,
        array $data = []
    ) {
        parent::__construct($context, $data);

        $this->shippingPointsCollection = $shippingPointsCollection;
    }

    /**
     * @return string
     */
    public function getConfigJson()
    {
        $parcelPoints = $this->shippingPointsCollection->create();
        $parcelPoints->addFieldToSelect('*');
        $parcelPoints->getSelect()->order(new \Zend_Db_Expr('shipping_code ASC, FIELD(locality, "Pärnu vald", "Pärnu","Pärnu linn", "Tartu vald", "Tartu", "Tartu linn", "Tallinn") DESC, locality asc, region asc, name ASC'));
        $parcelPoints->load();
        $points = [];
        $collection = $parcelPoints->getItems();
        foreach($collection as $item) {
            $points[$item->getData('shipping_code')][!empty($item->getData('locality')) ? $item->getData('locality') : $item->getData('region')][$item->getData('uuid')] = $item->getData('name');
        }

        $config = [
            'points' => $points
        ];

        return json_encode($config);
    }

}