<?php
namespace Montonio\Shipping\Controller\Adminhtml\System\Config;

use Montonio\Shipping\Model\Shipping\ShippingsConfigProvider;
use Montonio\Shipping\Gateway\Shippings\Config\Config;
use Magento\Framework\App\Config\ScopeConfigInterface;


class Save extends \Magento\Config\Controller\Adminhtml\System\Config\Save
{

    public function execute()
    {
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $magentoVersion = $objectManager->get('Magento\Framework\App\ProductMetadataInterface');

        if (version_compare($magentoVersion->getVersion(), '2.4.0', '>=')) {
            return parent::execute();
        }
        //forced saving of configurations as it does not work in version 2.3.
        $params = $this->_request->getParam('groups');

        if(isset($params['montonio_shipping']) && isset($params['montonio_shipping']['groups']['montonio_methods']['fields']['available_methods']['value'])) {
            $availableMethods = $params['montonio_shipping']['groups']['montonio_methods']['fields']['available_methods']['value'];
            unset($availableMethods['__empty']);
            $configWriter = $objectManager->create('Magento\Framework\App\Config\Storage\WriterInterface');
            $path = sprintf(Config::DEFAULT_PATH_PATTERN, ShippingsConfigProvider::CODE, 'montonio_methods/available_methods');
            $configWriter->save($path, json_encode($availableMethods), $scope = ScopeConfigInterface::SCOPE_TYPE_DEFAULT, $scopeId = 0);
        }

        return parent::execute();
    }

}