<?php
/**
 * montonio/module-shipping
 *
 * @category   montonio
 * @package    module-shipping
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */

namespace Montonio\Shipping\Gateway\Export;
use Magento\Sales\Api\Data\OrderInterface;

class PrintLabel
{
    protected $logger;
    protected $config;
    protected $montonioSDK;

    public function __construct(
        \Psr\Log\LoggerInterface $logger,
        \Montonio\Shipping\Gateway\Shippings\Config\Config $config,
        \Montonio\Shipping\Gateway\Shippings\MontonioSDK $montonioSDK
    )
    {
        $this->logger = $logger;
        $this->config = $config;
        $this->montonioSDK = $montonioSDK;
    }

    public function printLabel(OrderInterface $order)
    {
        $data = [
            'merchant_references' => [$order->getIncrementId()]
        ];

        return $this->montonioSDK->createLabels($data);

    }

}