<?php
/**
 * montonio/module-shipping
 *
 * @category   montonio
 * @package    module-shipping
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
namespace Montonio\Shipping\Model\Adminhtml\Source;

class Sendtype implements \Magento\Framework\Option\ArrayInterface
{

    /**
     * Defines after order place type
     */
    const montonio_MAIN_SEND_AFTER_ORDER = 'after_order_place';

    /**
     * Defines after order payment paid
     */
    const montonio_MAIN_AFTER_PAYMENT = 'after_payment_paid';


    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options = array();
        $options[] = array(
            'label' => __('After order is placed'),
            'value' => self::montonio_MAIN_SEND_AFTER_ORDER
        );
        $options[] = array(
            'label' => __('After order is paid'),
            'value' => self::montonio_MAIN_AFTER_PAYMENT
        );
        return $options;
    }
}
