<?php
/**
 * montonio/module-hire-purchase
 *
 * @category   montonio
 * @package    module-hire-purchase
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
declare(strict_types=1);

namespace Montonio\Shipping\Model\Adminhtml\Source;

use Magento\Framework\Data\OptionSourceInterface;

/**
 * Source class for providing shipping title display options
 */
class TitleDisplayOptions implements OptionSourceInterface
{
    public const DISPLAY_ONLY_LOGO = 'only_logo';
    public const DISPLAY_ONLY_TITLE = 'only_title';
    public const DISPLAY_LOGO_AND_TITLE = 'logo_title';

    /**
     * @inheritdoc
     */
    public function toOptionArray(): array
    {
        return [
            [
                'value' => self::DISPLAY_ONLY_TITLE,
                'label' => __('Only title'),
            ],
            [
                'value' => self::DISPLAY_ONLY_LOGO,
                'label' => __('Only logo'),
            ],
            [
                'value' => self::DISPLAY_LOGO_AND_TITLE,
                'label' => __('Logo and title'),
            ],
        ];
    }
}
