<?php
/**
 * montonio/module-shipping
 *
 * @category   montonio
 * @package    module-shipping
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
namespace Montonio\Shipping\Model\Shipping;

/**
 * Class ShippingsConfigProvider for providing config for Shippings
 */
class ShippingsConfigProvider implements \Magento\Checkout\Model\ConfigProviderInterface
{
    /**
     *
     * @var string
     */
    const CODE = 'montonio_shipping';


    /**
     * Default sort order for method row.
     */
    public const DEFAULT_SORT_ORDER = 50;

    /**
     *
     * @param \Montonio\Shipping\Gateway\Shippings\Config\Config $config
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
     */
    public function __construct(
        \Montonio\Shipping\Gateway\Shippings\Config\Config $config,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        $this->config = $config;
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * Retrieve assoc array of checkout configuration
     *
     * @return array
     */
    public function getConfig()
    {
        //this will be empty since we don't relay on it on frontend
        return $this->config->getConfig();
    }

    /**
     * Retrieve config object
     *
     * @return \Montonio\Shipping\Gateway\Shippings\Config\Config
     */
    public function getConfigObject()
    {
        return $this->config;
    }
}
