<?php

namespace Montonio\Shipping\Plugin\Shipping;

class InformationManagementPlugin
{
    /**
     * @var Magento\Quote\Model\QuoteRepository
     */
    protected $quoteRepository;


    /**
     * @var string
     */
    protected $_quoteId;

    /**
     * @var \Magento\Quote\Api\CartTotalRepositoryInterface
     */
    protected $cartTotalsRepository;

    protected $helper;


    /**
     * @param \Magento\Quote\Api\CartRepositoryInterface $quoteRepository
     * @param \Magento\Quote\Api\CartTotalRepositoryInterface $cartTotalsRepository
     */
    public function __construct(
        \Magento\Quote\Api\CartRepositoryInterface $quoteRepository,
        \Magento\Quote\Api\CartTotalRepositoryInterface $cartTotalsRepository

    ) {
        $this->quoteRepository = $quoteRepository;
        $this->cartTotalsRepository = $cartTotalsRepository;
    }

    /**
     * @param \Magento\Checkout\Model\ShippingInformationManagement $subject
     * @param $cartId
     * @param \Magento\Checkout\Api\Data\ShippingInformationInterface $addressInformation
     */
    public function beforeSaveAddressInformation(
        \Magento\Checkout\Model\ShippingInformationManagement $subject,
        $cartId,
        \Magento\Checkout\Api\Data\ShippingInformationInterface $addressInformation
    ) {

        $extAttributes = $addressInformation->getExtensionAttributes();
        if(isset($extAttributes) && !empty($extAttributes->getMontonioShippingPoint())) {
            $montonioShippingPoint = $extAttributes->getMontonioShippingPoint();
            $quote = $this->quoteRepository->getActive($cartId);
            $quote->setMontonioShippingPoint($montonioShippingPoint);
        }
        $this->_quoteId = $cartId;
    }


}
