<?php
namespace Montonio\Shipping\Setup;

use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\Setup\UpgradeSchemaInterface;

class UpgradeSchema implements UpgradeSchemaInterface
{
    /**
     * Upgrade schema
     *
     * @param SchemaSetupInterface $setup
     * @param ModuleContextInterface $context
     * @return void
     */
    public function upgrade(
        SchemaSetupInterface $setup,
        ModuleContextInterface $context
    ) {
        $setup->startSetup();

        if (version_compare($context->getVersion(), '1.0.0') < 0) {

            $setup->getConnection()->addColumn(
                $setup->getTable('quote'),
                'montonio_shipping_point',
                [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    'comment' => 'Montonio uuid for shipping location'
                ]
            );

            $setup->getConnection()->addColumn(
                $setup->getTable('sales_order'),
                'montonio_shipping_point',
                [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    'comment' => 'Montonio uuid for shipping location'
                ]
            );
        }
        if (version_compare($context->getVersion(), '1.0.1') < 0) {

            $setup->getConnection()->addColumn(
                $setup->getTable('sales_order'),
                'montonio_tracking_info',
                [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    'comment' => 'Montonio tracking info'
                ]
            );
        }
        $setup->endSetup();
    }
}
